#!/bin/bash
# should start from the directory containing the script and related files
# exactly one parameter should be specified - URL of CentOS 5.0 iso directory,
# e.g. http://mirrors.kernel.org/centos/5.0/isos/
# more examples in file CentOS50_DVD_mirrors.txt
function die() {
   local eret;
   eret=$1; shift
   echo "$@" >&2
   exit $eret;
}

if test ${#@} -ne 1; then echo ERR: $0 requires one parameter - iso URL >&2; exit 4; fi
url="$1"; export url ;
if test -f geniso.cfg; then . geniso.cfg; else echo ERR: No file geniso.cfg >&2; exit 8; fi
for x in geniso.cfg curl_ctl.cfg; do
  if ! test -f $x; then echo ERR: No required file $x >&2; exit 8; fi
done
perl -we '
  use strict;
  while(<>) {
    next if /^\s*$/; next if /^\s*#/;
    chomp;
    die "ERR: Unexpected line $_" if not /^(\S+)\sbs 2k start (\d+) count (\d+) (\w+) (\w+)$/;
    my ($isofn, $start, $count, $odir, $arch) = ($1, $2, $3, $4, $5);
    my $range_tx = sprintf "-r %.0f-%.0f", 2048*$start, 2048*($start+$count)-1;
    my $url = $ENV{url}; for ($url) { s=/$==; }
    print STDERR "About to get file $odir/${isofn}_bs2k_start${start}_count$count ...\n";
    system("curl $range_tx $url/$arch/$isofn > $odir/${isofn}_bs2k_start${start}_count$count");
  }
' curl_ctl.cfg || die 8 "ERR: Unsuccessful curl config processing";
./s2_checkfrag.bash

