#!/bin/bash
# should start from the directory containing the script and related files
# exactly one parameter should be specified - name of directory containing
# CentOS 5.0 CD images
if test ${#@} -ne 1; then echo ERR: $0 requires one parameter - CD image directory >&2; exit 4; fi
if test -f geniso.cfg; then . geniso.cfg; else echo ERR: No file geniso.cfg >&2; exit 8; fi
imgdir="$1";
if ! test -e "$imgdir"; then echo "ERR: $imgdir does not exist" >&2; exit 8; fi
if ! test -d "$imgdir"; then echo "ERR: $imgdir is not a directory" >&2; exit 8; fi
export imgdir

echo INFO: Checking CD image file sizes
perl -wne 'use strict;
   next if /DVD/; 
  die "ERR: Unexpected line $_" if not /^\s*(\d+)\s+(.*)/;
  my $fsz_expected = $1;
  my $fn = $ENV{imgdir} . "/$2";
  die "ERR: No file $fn: $!\n" unless -f $fn;
  my $fsz_actual = -s $fn;
  die "ERR: Unexpected size for file $fn, expected $fsz_expected, actual $fsz_actual;\n"
    if $fsz_actual != $fsz_expected;
  print STDERR "INFO: File size for file $fn is OK\n";
' iso*.wc-c || exit 8;
