#!/bin/bash
# should start from the directory containing the script and related files
# exactly one parameter should be specified - name of directory containing
# CentOS 5.0 CD images
# this needs to be run as root
function die() {
   local eret;
   eret=$1; shift
   echo "$@" >&2
   exit $eret;
}

if test ${#@} -ne 1; then echo ERR: $0 requires one parameter - CD image directory >&2; exit 4; fi
if test -f geniso.cfg; then . geniso.cfg; else echo ERR: No file geniso.cfg >&2; exit 8; fi
imgdir="$1";
if ! test -e "$imgdir"; then echo "ERR: $imgdir does not exist" >&2; exit 8; fi
if ! test -d "$imgdir"; then echo "ERR: $imgdir is not a directory" >&2; exit 8; fi
export imgdir
dl=$(cat iso_*.sha1 | grep -v DVD | env LANG=C cut -b 43- | sed 's/\.iso$//')
for d in $dl; do if ! test -f "$imgdir/$d".iso; then die 8 "ERR: No required file $imgdir/$d.iso"; fi; done
for d in $dl; do mkdir binCDfiles/$d || die 8 "ERR: Cannot mkdir binCDfiles/$d"; done
for d in $dl; do mount -o ro,loop "$imgdir/$d.iso" binCDfiles/$d; done
