#!/bin/bash
# should start from the directory containing the script and related files
# exactly one parameter should be specified - name of directory containing
# file CentOS-5.0-i386-bin-DVD.iso

if test ${#@} -ne 1; then echo ERR: $0 requires one parameter - destination directory >&2; exit 4; fi
if test -f geniso.cfg; then . geniso.cfg; else echo ERR: No file geniso.cfg >&2; exit 8; fi
destdir="$1";
if ! test -e "$destdir"; then echo "ERR: $destdir does not exist" >&2; exit 8; fi
if ! test -d "$destdir"; then echo "ERR: $destdir is not a directory" >&2; exit 8; fi
if ! test -f "$destdir/$dvdbase.iso"; then echo "ERR: No file $destdir/$dvdbase.iso" >&2; exit 8; fi
export destdir
echo INFO: Checking destination file size
perl -wne 'use strict;
   next if not /DVD/; 
  die "ERR: Unexpected line $_" if not /^\s*(\d+)\s+(.*)/;
  my $fsz_expected = $1;
  my $fn = $ENV{destdir} . "/$2";
  die "ERR: No file $fn: $!\n" unless -f $fn;
  my $fsz_actual = -s $fn;
  die "ERR: Unexpected size for file $fn, expected $fsz_expected, actual $fsz_actual;\n"
    if $fsz_actual != $fsz_expected;
  print STDERR "INFO: File size for file $fn is OK\n";
' iso*.wc-c || exit 8;
echo INFO: Checking destination file SHA1 ... if OK - DVD image is GOOD
# grep DVD iso_i386.sha1 | (cd "$destdir" && sha1sum -wc)
perl -ne 'next if not /DVD/; s= \*= *$ENV{destdir}/=; print' iso*.sha1 | env LANG=C sha1sum -wc
