#!/usr/bin/perl -w
# 
# concatenate files specified adding zero fill to make each file a multiple of 2K
# result written to stdout
use strict;
use constant CHUNK_SIZE => 2048;
my $x;
my $l;
binmode STDOUT;
for $x (@ARGV) {
   my $fill_used=0;
   open(F, "<$x\0") or die "Could not open $x: $!\n";
   binmode F;
   $/ = \CHUNK_SIZE;
   while (<F>) {
      $l = length $_;
      print;
      do { print "\x00" x (CHUNK_SIZE-$l); ++$fill_used;} if $l < CHUNK_SIZE;
   }
   close F or die "Could not close file $x: $!";
   die "Internal error: \$fill_used=$fill_used for file $x" if $fill_used > 1;
}
close STDOUT or die "Could not close STDOUT: $!";
exit 0;

# vim:et ts=3 sw=3 smartindent
